> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a payment method



## OpenAPI

````yaml /openapi.json delete /payments/{paymentMethodId}/delete
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /payments/{paymentMethodId}/delete:
    delete:
      tags:
        - payments
        - debug
      summary: Delete a payment method
      operationId: PaymentsController_deletePaymentMethod
      parameters:
        - name: paymentMethodId
          required: true
          in: path
          description: the id of the payment method
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeletePaymentMethodOutput'
components:
  schemas:
    DeletePaymentMethodOutput:
      type: object
      properties: {}

````